The British Columbia Men's Premier League is a provincial rugby union competition currently contested by twelve clubs in British Columbia, Canada and one in the U.S. state of Washington. The BC Premier League is organized by the British Columbia Rugby Union.

The league currently consists of teams from the Lower Mainland and Vancouver Island. Clubs play each other twice throughout the regular season. The top six teams are then seeded and qualify for two rounds of playoffs. The top two teams from the semi-finals then face each other at the BC Rugby Club Finals in May.

History The teams compete for the prestigious Rounsefell Cup. The trophy was donated by F.W. Rounsefell, a Vancouver insurance broker and financier and former British Columbia rugby star. The Rounsefell Cup was first awarded to the Central Athletic Club in March 1922. The cup has been competed for annually ever since.

2024 Premier League Teams ClubEst.City/Area Burnaby Lake Rugby Club 1994 Burnaby Capilano RFC 1969 West Vancouver Castaway Wanderers RFC 1906 Oak Bay James Bay Athletic Association 1886 Victoria Meraloma Athletic Club 1923 Vancouver Pacific Pride 2019 Langford UBC Thunderbirds 1906 Vancouver UBC Old Boys Ravens 1974 Vancouver University of Victoria Vikes Unknown Victoria Westshore RFC 1969 Colwood Former Teams ClubEst.City/Area Nanaimo Hornets RFC 1888 Nanaimo Seattle Rugby Club 1966 Seattle Vancouver Rowing Club 1908 Vancouver

Past Champions

1922 - Central Athletic Club 1923 - Vancouver Rowing Club 1924 - UBC Thunderbirds 1925 - James Bay Athletic Association 1926 - Ex King George 1927 - Ex King George 1928 - Ex King George 1929 - Meraloma Athletic Club 1930 - UBC Thunderbirds 1931 - Ex King George & The Canadian Scottish Regiment (Princess Mary's) 1932 - Not contested 1933 - North Shore All Blacks 1934 - North Shore All Blacks 1935 - North Shore All Blacks 1936 - Vancouver Rowing Club & The 5th Regiment 1937 - North Shore All Blacks 1938 - James Bay Athletic Association 1939 - Meraloma Athletic Club & JBAA 1940 - James Bay Athletic Association 1941 - Meraloma Athletic Club 1942 - Ex Lord Byng 1943 - Royal Canadian Naval College 1944 - Army Victoria 1945 - UBC Thunderbirds 1946 - James Bay Athletic Association 1947 - UBC Thunderbirds 1948 - North Shore All Blacks 1949 - Ex South Burnaby 1950 - Ex Britannia (Brit Lions Rugby Club) 1951 - Vindex RFC 1952 - Vindex RFC 1953 - Vindex RFC 1954 - Meraloma Athletic Club 1955 - North Shore All Blacks 1956 - Kats Rugby Club 1957 - Kats Rugby Club 1958 - Kats Rugby Club 1959 - Kats Rugby Club 1960 - Oak Bay Wanderers 1961 - Kats Rugby Club 1962 - Kats Rugby Club & Oak Bay Wanderers 1963 - Kats Rugby Club & JBAA 1964 - Kats Rugby Club 1965 - Meraloma Athletic Club 1966 - Kats Rugby Club 1967 - Meraloma Athletic Club 1968 - Kats Rugby Club 1969 - Kats Rugby Club 1970 - Kats Rugby Club 1971 - University of Victoria Vikes 1972 - Meraloma Athletic Club 1973 - Meraloma Athletic Club 1974 - James Bay Athletic Association 1975 - James Bay Athletic Association 1976 - James Bay Athletic Association 1977 - James Bay Athletic Association 1978 - James Bay Athletic Association 1979 - James Bay Athletic Association 1980 - James Bay Athletic Association 1981 - UBC Old Boys Ravens 1982 - James Bay Athletic Association 1983 - Meraloma Athletic Club 1984 - Ex Britannia (Brit Lions Rugby Club) 1985 - UBC Old Boys Ravens 1986 - Meraloma Athletic Club 1987 - Meraloma Athletic Club 1988 - Meraloma Athletic Club 1989 - James Bay Athletic Association 1990 - UBC Old Boys Ravens 1991 - UBC Old Boys Ravens 1992 - James Bay Athletic Association 1993 - James Bay Athletic Association 1994 - UBC Old Boys Ravens 1995 - Vancouver Rowing Club 1996 - James Bay Athletic Association 1997 - Cowichan RFC 1998 - Cowichan RFC 1999 - James Bay Athletic Association 2000 - Castaway Wanderers RFC 2001 - Castaway Wanderers RFC 2002 - Castaway Wanderers RFC 2003 - University of Victoria Vikes 2004 - Capilano RFC 2005 - Capilano RFC 2006 - James Bay Athletic Association 2007 - James Bay Athletic Association 2008 - James Bay Athletic Association 2009 - Meraloma Athletic Club 2010 - University of Victoria Vikes 2011 - Castaway Wanderers RFC 2012 - Capilano RFC 2013 - James Bay Athletic Association 2014 - James Bay Athletic Association 2015 - UBC Thunderbirds 2016 - UBC Thunderbirds 2017 - UBC Thunderbirds 2018 - UBC Old Boys Ravens 2019 - UBC Old Boys Ravens 2020 - Not contested due to COVID-19 2021 - Not contested due to COVID-19 2022 - UBC Thunderbirds 2023 - UBC Thunderbirds 2024 - UBC Old Boys Ravens 2025 - UBC Old Boys Ravens 2026 - UBC Old Boys Ravens

Awards

Player of the Year

See also Rugby Canada British Columbia Rugby Union Coastal Cup

References

External links Rugby Canada British Columbia Rugby Union